import {requests} from "../../requests";
import {api} from "./api";

class UserClient {

    async getMe() {
        try{
            let url = requests.auth.getMe
        const response = await api().get(url);
            return {data: response.data}
        } catch (e) {
            return {errorData: e.data}
        }
    }
}

export const userClient = new UserClient();